/*
 * Segment 4 Datenübernahme und Aufbereitung, SWE 4.5 Abfrage Puffer
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.dua.abfrpuffer;

import java.text.SimpleDateFormat;
import java.util.Date;

import de.bsvrz.sys.funclib.bitctrl.dua.DUAKonstanten;

/**
 * Testet dem Aggregatorverwaltungmodul.
 *
 * @author BitCtrl Systems GmbH, Bachraty
 *
 */
public class AggregatorVerwaltungTester extends AggregatorVerwaltung {

	@Override
	public void berechneLangZeitdaten(final LZZWrapper lzz,
			final long zeitStempelVon, final long zeitStempelBis) {
		super.berechneLangZeitdaten(lzz, zeitStempelVon, zeitStempelBis);

		final SimpleDateFormat dateFormat = new SimpleDateFormat(
				DUAKonstanten.ZEIT_FORMAT_GENAU_STR);
		System.out
				.println("## BERECHNUNG INTERVALL: "
						+ dateFormat.format(new Date(zeitStempelVon)
								+ " "
								+ dateFormat.format(new Date(zeitStempelBis)
										+ "  DIFF"
										+ ((zeitStempelBis - zeitStempelVon) / AbfrPufferKonstanten.STUNDE_IN_MS)
										+ " @ "
										+ dateFormat.format(new Date(
												ZeitSimulator.getTimeMillis()))))
						+ " fuer " + lzz.getLzzSo().getPid());
	}

}
