/*
 * Segment 4 Datenübernahme und Aufbereitung, SWE 4.5 Abfrage Puffer
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.dua.abfrpuffer;

import org.junit.Test;

import com.bitctrl.Constants;

import de.bsvrz.dua.abfrpuffer.Ereignis.EreignissTyp;
import de.bsvrz.sys.funclib.application.StandardApplicationRunner;

/**
 * Auslagerung einer Testroutine zum einzeln startbaren Test, damit zwischen den
 * Tests das Archiv geleert werden kann
 *
 * @author BitCtrl Systems GmbH, Thierfelder
 *
 */
public class FlackerTester extends AbfragePufferDatenTester {

	/**
	 * Testfall, De beginnt zu flackern
	 */
	@Override
	@Test
	public synchronized void flackerTest() {
		try {

			ZeitSimulator.start("2006.01.01 6:00:00.000", 20000, 8000);
			StandardApplicationRunner.run(this, Verbindung.CON_DATA.clone());

			ZeitSimulator.schedule(
					new Ereignis(SteuerModulSim
							.getDe("testLVE.SM_1004.EAK1.DeLve_1"),
							EreignissTyp.EREIGNIS_DE_FLACKERT),
					"2006.01.01 09:40:00.000");

			ZeitSimulator.schedule(
					new Ereignis(SteuerModulSim
							.getDe("testLVE.SM_1004.EAK1.DeLve_1"),
							EreignissTyp.EREIGNIS_DE_FLACKERT),
					"2006.01.01 10:25:00.000");

			ZeitSimulator.schedule(new Ereignis(this,
					EreignissTyp.EREIGNIS_SIMULATION_ENDE),
					"2006.01.01 15:00:00.000");
			this.wait();

		} catch (final Exception e) {
			getDav().disconnect(true, "Fehler bei Test: flackerTest()");
			System.err.println(e.getMessage());
			e.printStackTrace();
		}

		getDav().disconnect(false, Constants.EMPTY_STRING);
	}

}