/*
 * Segment 4 Datenübernahme und Aufbereitung, SWE 4.5 Abfrage Puffer
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.dua.abfrpuffer;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.dav.daf.main.DataDescription;
import de.bsvrz.dav.daf.main.DataState;
import de.bsvrz.dav.daf.main.config.SystemObject;

/**
 * Repräsentiert ein Objekt der eine Antwort auf Archiv Anfragen bearebeiten
 * kann.
 *
 * @author BitCtrl Systems GmbH, Bachraty
 */
public interface SBArchivAnfrageBearbeiter {

	/**
	 * Diese Methode soll die daten die aus dem Archiv kommen bearbeiten.
	 *
	 * @param objekt
	 *            Das objekt, dass die Daten geliefert hat
	 * @param datenBeschreibung
	 *            Beschreibung der Daten
	 * @param status
	 *            Typ der Daten
	 * @param daten
	 *            Der Datensatz
	 * @param zeitStempel
	 *            Zeitstempel des datensatzes
	 */
	void bearbeiteArchivDaten(SystemObject objekt, DataDescription datenBeschreibung, DataState status, Data daten,
			long zeitStempel);

}
